#include <iostream>

using namespace std;
const char *fehler_meldung = "\nEs gab einen Fehler bei der Eingabe.\nBitte erneut eingeben.\n";
int main()
{
    cout << "Willkommen auf dem Bauerhof von Bauer Max\n";
    float tagespreis = 0, einnahmen = 0;
    int gewicht = 0;
    cout << "Bitte geben Sie den aktuellen Tagespreis udn das Gewicht an. \n\tTagespreis: ";
    do
    {
        if (cin.fail())
        {
            cout << fehler_meldung << "\tTagespreis:";
            cin.clear();
            cin.ignore();
        }
        cin >> tagespreis;
    } while (cin.fail());
    cout << "Gewicht: ";
    do
    {
        if (cin.fail())
        {
            cout << fehler_meldung << "\tGewicht:";
            cin.clear();
            cin.ignore();
        }
        cin >> gewicht;
    } while (cin.fail());
    einnahmen = tagespreis * gewicht;
    cout << "Die heutigen Einnahmen belaufen sich auf: " << einnahmen <<" € ("<< tagespreis<<" x " << gewicht<<")\n";
    return 0;
}
